%global pypi_name bodhi-client
%global src_name bodhi_client
%global pypi_version 8.0.0

Name:           %{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Bodhi client

License:        GPL-2.0-or-later
URL:            https://github.com/fedora-infra/bodhi
Source0:        %{pypi_source bodhi_client}
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-sphinx

Requires: koji


Provides: python3-bodhi-client

%description
Command-line client for Bodhi, OpenCloudOS's update gating system.

%prep
%autosetup -n %{src_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
make %{?_smp_mflags} -C docs man

%install
%pyproject_install
%pyproject_save_files bodhi

install -d %{buildroot}%{_mandir}/man1
install -pm0644 docs/_build/bodhi.1 %{buildroot}%{_mandir}/man1/
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm0644 bodhi-client.bash %{buildroot}%{_sysconfdir}/bash_completion.d/bodhi-client.bash

%files -n %{pypi_name} -f %{pyproject_files}
%{_bindir}/bodhi
%{_mandir}/man1/bodhi.1*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bodhi-client.bash

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.0-2
- rebase to add ocs and ts macros

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - %{pypi_version}-1
- initial build
